package de.hdm_stuttgart.mi.sda1.sql2catalog.model;

import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Product {
   
   @Id
   int id;
   
   @Column(nullable=false)
   String name;
   
   int age;
   
   @OneToMany(mappedBy = "product")
   List<Description> descriptions;
   
   
}
